<?php

namespace App\ViewModels\ProcedimentoValor\ProcedimentoValorDetailsViewModel;

use App\Utils\Entity;
use App\ViewModels\ProcedimentoValor\ProcedimentoValorDetailsViewModel\ProcedimentoValorDetailsViewModelBuilder;

class ProcedimentoValorDetailsViewModel extends Entity {
	protected $id;
	protected $id_convenio_procedimento;
	protected $valor;
	protected $data_inicio;
	protected $data_fim;
	protected $valor_interno;
	protected $valor_repasse_medico;
	protected $id_convenio;
	protected $descricao_convenio;
	protected $codigo_convenio;
	protected $id_procedimento;
	protected $descricao_procedimento;
	protected $id_unidade;
	protected $descricao_unidade;
	protected $status;
	protected $descricao_tipo_procedimento;

	public static function builder(): ProcedimentoValorDetailsViewModelBuilder {

		return (new ProcedimentoValorDetailsViewModelBuilder());

	}

    /**
     * @return mixed
     */
    public function getValorRepasseMedico()
    {
        return $this->valor_repasse_medico;
    }

    /**
     * @param mixed $valor_repasse_medico
     */
    public function setValorRepasseMedico($valor_repasse_medico): void
    {
        $this->valor_repasse_medico = $valor_repasse_medico;
    }

    /**
     * @return mixed
     */
    public function getDescricaoTipoProcedimento()
    {
        return $this->descricao_tipo_procedimento;
    }

    /**
     * @param mixed $descricao_tipo_procedimento
     */
    public function setDescricaoTipoProcedimento($descricao_tipo_procedimento): void
    {
        $this->descricao_tipo_procedimento = $descricao_tipo_procedimento;
    }

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param mixed $status
     */
    public function setStatus($status): void
    {
        $this->status = $status;
    }

	/**
	 *
	 * @return mixed
	 */
	public function getDescricaoUnidade() {

		return $this->descricao_unidade;

	}

	/**
	 *
	 * @param mixed $descricao_unidade
	 */
	public function setDescricaoUnidade($descricao_unidade): void {

		$this->descricao_unidade = $descricao_unidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->id_unidade;

	}

	/**
	 *
	 * @param mixed $id_unidade
	 */
	public function setIdUnidade($id_unidade): void {

		$this->id_unidade = $id_unidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdConvenio() {

		return $this->id_convenio;

	}

	/**
	 *
	 * @param mixed $id_convenio
	 */
	public function setIdConvenio($id_convenio): void {

		$this->id_convenio = $id_convenio;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDescricaoConvenio() {

		return $this->descricao_convenio;

	}

	/**
	 *
	 * @param mixed $descricao_convenio
	 */
	public function setDescricaoConvenio($descricao_convenio): void {

		$this->descricao_convenio = $descricao_convenio;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCodigoConvenio() {

		return $this->codigo_convenio;

	}

	/**
	 *
	 * @param mixed $codigo_convenio
	 */
	public function setCodigoConvenio($codigo_convenio): void {

		$this->codigo_convenio = $codigo_convenio;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdProcedimento() {

		return $this->id_procedimento;

	}

	/**
	 *
	 * @param mixed $id_procedimento
	 */
	public function setIdProcedimento($id_procedimento): void {

		$this->id_procedimento = $id_procedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDescricaoProcedimento() {

		return $this->descricao_procedimento;

	}

	/**
	 *
	 * @param mixed $descricao_procedimento
	 */
	public function setDescricaoProcedimento($descricao_procedimento): void {

		$this->descricao_procedimento = $descricao_procedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id): void {

		$this->id = $id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdConvenioProcedimento() {

		return $this->id_convenio_procedimento;

	}

	/**
	 *
	 * @param mixed $id_convenio_procedimento
	 */
	public function setIdConvenioProcedimento($id_convenio_procedimento): void {

		$this->id_convenio_procedimento = $id_convenio_procedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor): void {

		$this->valor = $valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValorInterno() {

		return $this->valor_interno;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValorInterno($valorInterno): void {

		$this->valor_interno = $valorInterno;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataInicio() {

		return $this->data_inicio;

	}

	/**
	 *
	 * @param mixed $data_inicio
	 */
	public function setDataInicio($data_inicio): void {

		$this->data_inicio = $data_inicio;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataFim() {

		return $this->data_fim;

	}

	/**
	 *
	 * @param mixed $data_fim
	 */
	public function setDataFim($data_fim): void {

		$this->data_fim = $data_fim;

	}

}